﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Filtering Columns in Version 2 Reports</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Filtering Columns in Version 2 Reports</h1>
        <p>Analytics reports can sometimes fetch huge data. In order to have a better visibility of the data you can filter columns in your report while creating or updating of analytics control.</p>
        <p>The capability of filtering columns will allow you to:</p>
        <ul>
            <li>
                <p>View few columns of the report data at once.</p>
            </li>
            <li>
                <p>Select only few columns of the report and take action on them.</p>
            </li>
        </ul>
        <p>You can filter columns in the analytics report. For example, the query shown below shows four columns namely <span class="attr">acctkey</span>, <span class="attr">name</span>, <span class="attr">accountid</span> and <span class="attr">endpointkey</span> by default. You can filter to remove one or more columns from the analytics report. </p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select accountkey as acctKey, name, accountid, endpointkey from accounts limit 10;  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>Perform the following steps to filter columns shown in the report:</p>
        <ol>
            <li>
                <p>Login to IGA, select <strong>Analytics &gt; Analytics Configuration List</strong>.</p>
            </li>
            <li>
                <p>Click&#160;<strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>Select either&#160;<strong>Using&#160;SQL Query,&#160;Custom Analytics Control&#160;</strong>or <strong>Using  &#160;Elasticsearch Query</strong>.</p>
            </li>
            <li>
                <p>In the <strong>Create New Analytics Configuration</strong> page that displays, enter an SQL query in <strong>Analytics Query </strong>and ensure that all mandatory fields are defined.</p>
            </li>
            <li>
                <p>Click <strong>Create</strong>.</p>
            </li>
            <li>
                <p> In the <strong>Columns to show </strong>window that displays, do the following:</p>
                <p>a. In the<strong> Visible</strong> column, deselect the check box for each attribute to hide the corresponding value in the analytics report.<br />b. In the <strong>Filterable</strong> column, deselect the check box for each attribute to make the column non-filterable.</p>
                <p>
                    <img src="../Resources/Images/filterable columns2.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 400px;height: 700px;" />
                    <br />
                </p>
                <p>Figure: Columns to show</p>
            </li>
            <li>
                <p>Click <strong>Submit</strong>.</p>
            </li>
            <li>
                <p>Go to the <strong>Analytics Configuration List</strong> page, then go to the query that you created and click <strong>Run &gt; Run Now</strong>.<br />Or<br />Go to the <strong>Analytics Configuration Details</strong> page and click <strong>Run &gt; Run Now</strong>.</p>
                <p>In the <strong>Analytics History</strong> page that displays, view the values obtained from the database.</p>
                <p>
                    <img src="../Resources/Images/Analytics History showing a resolved conflict.jpg" style="width: 785px;height: 447px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p>      Figure: Analytics History page</p>
    </body>
</html>